<template>
  <nav>
    <v-toolbar class="white--text" style="background-color: #000411" app>
      <v-col
        mx-4
      >
        <v-avatar
          mx-2
        >
          <img
          src="https://media-exp1.licdn.com/dms/image/C560BAQEvWg3rCJNK8w/company-logo_200_200/0?e=2159024400&v=beta&t=iUaczIUx5iKmmXUghyiPiM002qUzlpQXebLqxvgqzO0"
        >
        </v-avatar>
        Seja bem vindo(a), {{username}}!
      </v-col>
      <v-spacer></v-spacer>

        <v-row
          v-for="route in arrayRoutes"
          :key="route.nome"
        >
          <v-btn style="background-color:transparent;" class="white--text" @click="$router.push(route.route)">{{route.nome}}</v-btn> 
        </v-row>
        <v-menu
        offset-y
        
      >
        <template v-slot:activator="{ on, attrs }">
          <v-btn
            v-bind="attrs"
            v-on="on"
            class="white--text"
            style="background-color:transparent;"
          >
            {{email}}
          </v-btn>
        </template>

        <v-list>
          <v-list-item
            @click="logout()"
          >
            <v-list-item-title>Sair</v-list-item-title>
          </v-list-item>
        </v-list>
      </v-menu>


    </v-toolbar>

  </nav>
</template>

<script src="./NavbarController.js"></script>